-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
M.type = "auxiliary"

local function init()
  
  if not powertrain.getDevice("mainEngine") then return end
  local curve = powertrain.getDevice("mainEngine").torqueCurve
  for i, _ in pairs(curve) do
		if i > powertrain.getDevice("mainEngine").idleRPM then
			curve[i] = curve[i]+(5*7127/i)
		end
	end
	powertrain.getDevice("mainEngine").torqueCurve = curve
  
end

-- public interface
M.init    = init

return M
